package ru.yandex.webmaster3.core.events2.events;

import com.fasterxml.jackson.annotation.JsonProperty;
import ru.yandex.webmaster3.core.events2.HostEventData;
import ru.yandex.webmaster3.core.events2.HostEventType;

/**
 * @author avhaliullin
 */
@Deprecated
public class SecurityWarningStateUpdatedEvent extends HostEventData {
    private final String warningType;
    private final String state;

    public SecurityWarningStateUpdatedEvent(
            @JsonProperty("warningType") String warningType,
            @JsonProperty("state") String state) {
        super(HostEventType.SECURITY_WARNING_STATE_UPDATED);
        this.warningType = warningType;
        this.state = state;
    }

    public String getWarningType() {
        return warningType;
    }

    public String getState() {
        return state;
    }
}
